Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

WIP Use Qt6 by default #3283

Draft
wants to merge 1 commit into
base: dev
Choose a base branch
from
Draft

WIP Use Qt6 by default #3283

wants to merge 1 commit into from

Conversation

XVilka
Copy link
Member

@XVilka XVilka commented Jan 18, 2024

Your checklist for this pull request

Detailed description

As the world, including KDE moving to Qt6 and Qt5 is slowly becoming obsolete, make it the default target, while keeping the compatibility with Qt5 for older systems.

Test plan (required)

  • CI is green
  • Linux, macOS, Windows prebuilt binaries work

Closing issues

@XVilka XVilka added this to the 2.4 milestone Jan 18, 2024
@karliss
Copy link
Member

karliss commented Jan 19, 2024

If you are going to rename the QT version variable how about switching to something like CUTTER_QT_MAJOR with numeric value, so that everything doesn't have to be updated again once we switch to QT7?

@karliss
Copy link
Member

karliss commented Mar 20, 2024

@XVilka I started looking into building the cutter-deps with qt6

@karliss karliss mentioned this pull request Jul 14, 2024
14 tasks
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Labels
None yet
Projects
None yet
Development

Successfully merging this pull request may close these issues.

Build prepackaged Cutter using Qt6 for macOS and Windows Qt6 support
2 participants